| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::AccountPropertyFilter Class Reference
Utililty classes

The AccountPropertyFilter class provides a filter object to be used to filter accounts by properties. More...

`#include <TelepathyQt/AccountPropertyFilter>`

Inheritance diagram for Tp::AccountPropertyFilter:
[legend]

## Public Member Functions

| ~AccountPropertyFilter ()
bool | isValid () const
Public Member Functions inherited from Tp::GenericPropertyFilter< Account >
virtual | ~GenericPropertyFilter ()
virtual bool | matches (const SharedPtr< Account > &t) const
QVariantMap | filter () const
void | addProperty (const QString &propertyName, const QVariant &propertyValue)
void | setProperties (const QVariantMap &filter)
Public Member Functions inherited from Tp::Filter< T >
virtual | ~Filter ()
virtual bool | matches (const SharedPtr< T > &t) const
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static AccountPropertyFilterPtr | create ()

## Additional Inherited Members

Protected Member Functions inherited from Tp::GenericPropertyFilter< Account >
| GenericPropertyFilter ()
Protected Member Functions inherited from Tp::Filter< T >
| Filter ()

## Detailed Description

The AccountPropertyFilter class provides a filter object to be used to filter accounts by properties.

## Constructor & Destructor Documentation

Tp::AccountPropertyFilter::~AccountPropertyFilter | ( |  | ) |

## Member Function Documentation

static AccountPropertyFilterPtr Tp::AccountPropertyFilter::create | ( |  | ) |

inline static

bool Tp::AccountPropertyFilter::isValid | ( |  | ) | const

virtual

Reimplemented from Tp::GenericPropertyFilter< Account >.